const state = {
  projectRow: {},
  catalogId: "",
  serviceId: "",
  selectDutyId: "",
  selectTagList: [],
};

const mutations = {
  setCatalogId(state, catalogId) {
    state.catalogId = catalogId;
  },
  setProjectRow(state, tags) {
    state.projectRow = tags;
  },
  setSelectTagList(state, tags) {
    state.selectTagList = tags;
  },
  setsSelectDutyId(state, val) {
    state.selectDutyId = val;
  },
};

const actions = {
  setRow({ commit }, row) {
    // state.projectRow = row
    commit("setProjectRow", row);
  },
  setSelectTagList({ commit }, tags) {
    commit("setSelectTagList", tags);
  },
  setsSelectDutyId({ commit }, val) {
    commit("setsSelectDutyId", val);
  },
  setCatalogId({ commit }, catalogId) {
    commit("setCatalogId", catalogId);
  },
};

export default {
  namespaced: true,
  state,
  mutations,
  actions,
};
